ref: 589eb3a61a8ee46e857aa2e20d9f7014923dc00e
parent: 0949cd4d71259d629db66da3955c389f0be2129c
author: zerous Naveen Narayanan <zerous@nocebo.space>
date: Sat Nov 16 08:43:52 EST 2019
Remove generated binaries Update Makefile Update gensys.sh
--- a/tests/libc/execute/Makefile
+++ b/tests/libc/execute/Makefile
@@ -13,4 +13,4 @@
@CFLAGS='' SCCPREFIX=$(ROOT) ./chktest.sh libc-tests.lst
clean:
- rm -f *.o *core a.out test.log
+ rm -f *.o *core test.log `awk '{print $$1}' libc-tests.lst`
--- a/tests/libc/execute/chktest.sh
+++ b/tests/libc/execute/chktest.sh
@@ -3,7 +3,8 @@
file=${1?' empty input file'}
tmp1=`mktemp`
tmp2=`mktemp`
-trap "rm -f a.out *.o $tmp1 $tmp2; exit" 0 1 2 3 15
+bins=`awk '{print $1}' libc-tests.lst`
+trap "rm -f *.o $bins $tmp1 $tmp2; exit" 0 1 2 3 15
ulimit -c 0
rm -f test.log
@@ -10,7 +11,7 @@
while read i state
do
state=${state:-"\t"}
- rm -f a.out *.o $tmp1 $tmp2
+ rm -f *.o $tmp1 $tmp2
(echo $i
./cc.sh $CFLAGS -o $i $i.c